curl --request GET \
--url https://api.alpha-1edtech.ai/powerpath/getNextQuestion \
--header 'Authorization: Bearer <token>'{
"score": 123,
"question": {
"id": "<string>",
"index": 123,
"title": "<string>",
"url": "<string>",
"difficulty": "medium",
"humanApproved": true,
"content": {
"rawXml": "<string>",
"type": "<string>"
},
"response": "<string>",
"responses": {},
"correct": true,
"result": {
"score": 123,
"feedback": "<string>",
"outcomes": {}
},
"resultId": "<string>",
"learningObjectives": [
"<string>"
]
}
}Returns the next question in the given PowerPath component resource.
Works only with lessons of type ‘powerpath-100’.
A ‘Lesson’ in this context is a ComponentResource object which has a Resource object associated with it.
curl --request GET \
--url https://api.alpha-1edtech.ai/powerpath/getNextQuestion \
--header 'Authorization: Bearer <token>'{
"score": 123,
"question": {
"id": "<string>",
"index": 123,
"title": "<string>",
"url": "<string>",
"difficulty": "medium",
"humanApproved": true,
"content": {
"rawXml": "<string>",
"type": "<string>"
},
"response": "<string>",
"responses": {},
"correct": true,
"result": {
"score": 123,
"feedback": "<string>",
"outcomes": {}
},
"resultId": "<string>",
"learningObjectives": [
"<string>"
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The sourcedId of the student who is answering the question
The sourcedId of the lesson (ComponentResource)